- Home
- API Enriched
- Marketplace
- namespaces
- Send Signup Email.
Send Signup Email.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/f5xc-saas/signup/send_email';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/f5xc-saas/signup/send_email \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Use this API to send a tenant provisioning signup email when the signup URL link in the previously sent email has expired or is no longer accessible.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”The request message for SendSignupEmail.
object
The token contains the encrypted data, secured using an HMAC key.
Examplegenerated
{ "token": "example"}Responses
Section titled “Responses”A successful response.
Response to indicate if the email was sent successfully.
object
Message provides additional context regarding the result of the email send operation.
Indicates if the email was sent successfully.
Examplegenerated
{ "message": "example", "success": true}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example